Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(8)

Issue 14772023: Implement TLS 1.2. (Closed)

Created:
6 years, 1 month ago by wtc
Modified:
6 years ago
Reviewers:
agl, Ryan Sleevi
CC:
chromium-reviews, cbentzel+watch_chromium.org
Visibility:
Public.

Description

Implement TLS 1.2. Patch by Adam Langley. R=agl@chromium.org BUG=90392 TEST=net_unittests Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=203090

Patch Set 1 #

Total comments: 1

Patch Set 2 : Fix compilation errors with older system NSS headers #

Patch Set 3 : Update Channel ID code for the modified SSL3Hashes type. Enable TLS 1.2 in Chrome #

Patch Set 4 : Make net_unittests pass. Make the code compile and update the platform client auth code on Windows. #

Patch Set 5 : Replace ssl3_GetPKCS1v15ASN1Data by SGN_Digest and VFY_VerifyDigestDirect #

Patch Set 6 : Change sslplatf.c to not use ssl3_GetPKCS1v15ASN1Data either #

Patch Set 7 : Fix clang compilation error #

Patch Set 8 : First complete review #

Patch Set 9 : Remove an incorrect assertion I added #

Total comments: 41

Patch Set 10 : Make the changes agl suggested #

Patch Set 11 : Sync with ToT #

Patch Set 12 : Update new code in sslplatf.c. Remove SHA-224 support. Add patch files. #

Total comments: 2

Patch Set 13 : Move the assertion in sslplatf.c #

Unified diffs Side-by-side diffs Delta from patch set Stats (+3467 lines, -190 lines) Patch
M net/http/http_network_transaction_spdy2_unittest.cc View 1 2 3 4 5 6 7 8 9 10 2 chunks +15 lines, -0 lines 0 comments Download
M net/http/http_network_transaction_spdy3_unittest.cc View 1 2 3 4 5 6 7 8 9 10 2 chunks +15 lines, -0 lines 0 comments Download
M net/ssl/ssl_config_service.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +4 lines, -2 lines 0 comments Download
M net/third_party/nss/README.chromium View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +7 lines, -0 lines 0 comments Download
M net/third_party/nss/patches/applypatches.sh View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +4 lines, -0 lines 0 comments Download
A net/third_party/nss/patches/tls12.patch View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +1942 lines, -0 lines 0 comments Download
A net/third_party/nss/patches/tls12chromium.patch View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +317 lines, -0 lines 0 comments Download
M net/third_party/nss/ssl/SSLerrs.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +9 lines, -0 lines 0 comments Download
M net/third_party/nss/ssl/ssl3con.c View 1 2 3 4 5 6 7 8 9 10 11 58 chunks +715 lines, -137 lines 0 comments Download
M net/third_party/nss/ssl/ssl3ecc.c View 1 2 3 4 5 6 7 8 9 10 17 chunks +76 lines, -26 lines 0 comments Download
M net/third_party/nss/ssl/ssl3ext.c View 1 2 3 4 5 6 7 8 9 10 11 4 chunks +138 lines, -1 line 0 comments Download
M net/third_party/nss/ssl/ssl3prot.h View 1 2 3 4 5 6 7 8 9 10 2 chunks +42 lines, -2 lines 0 comments Download
M net/third_party/nss/ssl/sslerr.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +4 lines, -0 lines 0 comments Download
M net/third_party/nss/ssl/sslimpl.h View 1 2 3 4 5 6 7 8 9 10 6 chunks +22 lines, -4 lines 0 comments Download
M net/third_party/nss/ssl/sslplatf.c View 1 2 3 4 5 6 7 8 9 10 11 12 7 chunks +100 lines, -17 lines 0 comments Download
M net/third_party/nss/ssl/sslproto.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M net/third_party/nss/ssl/sslsock.c View 1 2 3 4 5 6 7 8 9 10 4 chunks +54 lines, -0 lines 0 comments Download
M net/third_party/nss/ssl/sslt.h View 1 2 3 4 5 6 7 8 9 10 2 chunks +2 lines, -1 line 0 comments Download

Messages

Total messages: 12 (0 generated)
wtc
agl: please review patch set 9. Patch set 1 is your original NSS patch. I ...
6 years ago (2013-05-28 17:50:24 UTC) #1
agl
I reviewed patch set 1 to try and remember what I had written. Then I ...
6 years ago (2013-05-28 20:21:13 UTC) #2
wtc
agl: thank you for the review. I made the changes you suggested in patch set ...
6 years ago (2013-05-28 23:22:19 UTC) #3
agl
LGTM https://codereview.chromium.org/14772023/diff/89001/net/third_party/nss/ssl/ssl3con.c File net/third_party/nss/ssl/ssl3con.c (right): https://codereview.chromium.org/14772023/diff/89001/net/third_party/nss/ssl/ssl3con.c#newcode8317 net/third_party/nss/ssl/ssl3con.c:8317: tls_hash_sha224, On 2013/05/28 23:22:19, wtc wrote: > > ...
6 years ago (2013-05-28 23:36:36 UTC) #4
wtc
agl: you just need to review the diffs between patch sets 11 and 12. You ...
6 years ago (2013-05-29 22:09:45 UTC) #5
agl
11 -> 12 LGTM.
6 years ago (2013-05-29 22:18:11 UTC) #6
Ryan Sleevi
sslplatf changes look good. I haven't looked over the rest of the CL. https://codereview.chromium.org/14772023/diff/124001/net/third_party/nss/ssl/sslplatf.c File ...
6 years ago (2013-05-29 22:21:49 UTC) #7
wtc
https://codereview.chromium.org/14772023/diff/124001/net/third_party/nss/ssl/sslplatf.c File net/third_party/nss/ssl/sslplatf.c (right): https://codereview.chromium.org/14772023/diff/124001/net/third_party/nss/ssl/sslplatf.c#newcode527 net/third_party/nss/ssl/sslplatf.c:527: PORT_Assert(sigAlg == CSSM_ALGID_RSA); On 2013/05/29 22:21:49, Ryan Sleevi wrote: ...
6 years ago (2013-05-29 23:26:34 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/wtc@chromium.org/14772023/140001
6 years ago (2013-05-29 23:41:52 UTC) #9
commit-bot: I haz the power
Change committed as 203090
6 years ago (2013-05-30 05:52:59 UTC) #10
bshe
On 2013/05/30 05:52:59, I haz the power (commit-bot) wrote: > Change committed as 203090 I ...
6 years ago (2013-06-21 17:57:05 UTC) #11
wtc
6 years ago (2013-06-21 18:01:24 UTC) #12
Message was sent while issue was closed.
On 2013/06/21 17:57:05, bshe wrote:
> 
> I am seeing this error when build lumpy image on TOT today:
>
../../../../../../../home/bshe/chrome_root/src/net/third_party/nss/ssl/ssl3con.c:4096:24:
> error: 'SEC_OID_SHA224' undeclared here (not in a function)
> 
> It seems SEC_OID_SHA224 is introduced here. Could be related?

Yes. The libnss3-dev package on your build machine is too old.
Can you update the libnss3-dev package?

Powered by Google App Engine
This is Rietveld 408576698